package com.fs.baidu.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.baidu.domain.BdAccount;

/**
 * 百度账号Mapper接口
 * 
 * @author fs
 * @date 2025-01-20
 */
public interface BdAccountMapper extends BaseMapper<BdAccount>{
    /**
     * 查询百度账号
     * 
     * @param id 百度账号主键
     * @return 百度账号
     */
    BdAccount selectBdAccountById(Long id);

    /**
     * 查询百度账号列表
     * 
     * @param bdAccount 百度账号
     * @return 百度账号集合
     */
    List<BdAccount> selectBdAccountList(BdAccount bdAccount);

    /**
     * 新增百度账号
     * 
     * @param bdAccount 百度账号
     * @return 结果
     */
    int insertBdAccount(BdAccount bdAccount);

    /**
     * 修改百度账号
     * 
     * @param bdAccount 百度账号
     * @return 结果
     */
    int updateBdAccount(BdAccount bdAccount);

    /**
     * 删除百度账号
     * 
     * @param id 百度账号主键
     * @return 结果
     */
    int deleteBdAccountById(Long id);

    /**
     * 批量删除百度账号
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBdAccountByIds(Long[] ids);
}
